Index: buildsys-build.spec
===================================================================
--- buildsys-build.spec	(revision 12)
+++ buildsys-build.spec	(revision 13)
@@ -22,18 +22,23 @@
 Requires: make
 Requires: patch
 Requires: perl
-Requires: rpm-build
 Requires: sed
 Requires: tar
 Requires: unzip
+
+# Needed for RHEL, Fedora and others but not all distributions
+%if "%{?fedora}" != "" || "%{?el}" != "" || "%{?aurora}" != ""
+Requires: coreutils
+Requires: rpm-build
 Requires: which
+%endif
 
+
 # The rather long-winded format of the conditionals is needed for compatbility
 # with old rpm versions such as were supplied with Red Hat Linux 7
 
 # Fedora block
 %if "%{?fedora}" != ""
-Requires: coreutils
 Requires: fedora-release
 Requires: redhat-rpm-config
 %if "%{?fedora}" == "4" ||  "%{?fedora}" == "3" || "%{?fedora}" == "2" || "%{?fedora}" == "1"
@@ -47,7 +52,6 @@
 # RHEL block
 %if "%{?el}" != ""
 Requires: redhat-release
-Requires: coreutils
 Requires: elfutils
 Requires: redhat-rpm-config
 %if "%{?el}" == "4"
@@ -58,6 +62,8 @@
 # Red Hat Linux [789] block
 %if "%{?rhl}" != ""
 Requires: redhat-release
+Requires: rpm-build
+Requires: which
 %if "%{?rhl}" == "9"
 Requires: coreutils
 Requires: elfutils
@@ -75,7 +81,6 @@
 
 # Aurora block
 %if "%{?aurora}" != ""
-Requires: coreutils
 Requires: fedora-release
 Requires: redhat-rpm-config
 %if "%{?aurora}" == "2" 
@@ -84,7 +89,102 @@
 %endif
 %endif
 
+# SuSE block.  Big and ugly :(
+%if "%{?suse}" != ""
+Requires: aaa_base
+Requires: glibc
+Requires: glibc-devel
+Requires: glibc-locale
+Requires: acl
+Requires: attr
+Requires: autoconf
+Requires: automake
+Requires: bind-utils
+Requires: binutils
+Requires: bison
+Requires: bzip2
+Requires: bzip2
+Requires: coreutils
+Requires: cpio
+Requires: cpp
+Requires: cracklib
+Requires: cvs
+Requires: cyrus-sasl
+Requires: db
+Requires: devs
+Requires: diffutils
+Requires: e2fsprogs
+Requires: file
+Requires: filesystem
+Requires: fillup
+Requires: findutils
+Requires: flex
+Requires: gawk
+Requires: gcc      
+Requires: gcc-c++
+Requires: gdbm
+Requires: gdbm-devel
+Requires: gettext
+Requires: gpm
+Requires: grep
+Requires: groff
+Requires: gzip
+Requires: info
+Requires: insserv
+Requires: less
+Requires: libacl
+Requires: libattr
+Requires: libgcc
+Requires: libstdc++
+Requires: libtool
+Requires: libxcrypt
+Requires: m4
+Requires: make
+Requires: man
+Requires: mktemp
+Requires: module-init-tools
+Requires: ncurses
+Requires: ncurses-devel
+Requires: netcfg
+Requires: net-tools
+Requires: openldap2-client
+Requires: openssl
+Requires: pam
+Requires: pam-modules
+Requires: patch
+Requires: perl
+Requires: permissions
+Requires: popt
+Requires: procinfo
+Requires: procps
+Requires: psmisc
+Requires: pwdutils
+Requires: rcs
+Requires: readline
+Requires: rpm   
+Requires: sed
+Requires: strace
+Requires: suse-build-key   
+Requires: sysvinit
+Requires: tar
+Requires: tcpd
+Requires: timezone
+Requires: unzip
+Requires: util-linux
+Requires: vim
+Requires: zlib
+Requires: zlib-devel
+%if "%{?suse}" == "sles" 
+Requires: sles-release
+# Requires: libselinux
+Requires: texinfo
+%endif
+%if "%{?suse}" == "sled" 
+Requires: sled-release
+%endif
+%endif
 
+
 %description
 The base set of packages for a mock chroot.
 
